Latest0.1.1
Homepagehttps://github.com/asashin227/AppUpdateChecker
LicenseMIT
Platformsios 8.0
Authors

CI Status
Version
License
Platform

Bundle identifier and Bundle versions string, short in Info.plist is used in AppUpdateChecker.

And using iTunes API

Usage

AppUpdateChecker().conferm() {
    result in
    switch result {
    case .existUpdate(let version, let storeScheme):
        // For example, Show UIAlertController here.
        print("Now available version: (version)")
        print("DL from hare: (storeScheme.absoluteString)")
    case .noUpdate:
        print("Current version is newest")
    case .error(let error):
        print("error: (error)")
    }
}

Example

To run the example project, clone the repo, and run pod install from the Example directory first.

Installation

AppUpdateChecker is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod 'AppUpdateChecker'

License

AppUpdateChecker is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "AppUpdateChecker",
    "version": "0.1.1",
    "summary": "AppUpdateChecker conferm new version application in AppStore.",
    "description": "For example, in one library we set up an AppID, but this is not necessary.n'Bundle identifier' and 'Bundle versions string, short' in Info.plist is used in AppUpdateChecker.",
    "homepage": "https://github.com/asashin227/AppUpdateChecker",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "asashin227": "[email protected]"
    },
    "source": {
        "git": "https://github.com/asashin227/AppUpdateChecker.git",
        "tag": "0.1.1"
    },
    "platforms": {
        "ios": "8.0"
    },
    "source_files": "AppUpdateChecker/Classes/**/*",
    "pushed_with_swift_version": "4.0"
}

Pin It on Pinterest

Share This